Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.deployment
Class DeploymentInterceptor

    java.lang.Object
      org.wso2.wsas.deployment.DeploymentInterceptor

All Implemented Interfaces:
  org.apache.axis2.description.ParameterInclude, org.apache.axis2.engine.AxisObserver

    public class DeploymentInterceptor

extends java.lang.Object
implements org.apache.axis2.engine.AxisObserver

This deployment interceptor will be called whenever before a module is initialized or service is deployed.

See Also:
  `AxisObserver`

Constructor Summary
`DeploymentInterceptor()`

Method Summary
`void` | `addParameter(org.apache.axis2.description.Parameter parameter)`
`void` | `deserializeParameters(org.apache.axiom.om.OMElement omElement)`
`org.apache.axis2.description.Parameter` | `getParameter(java.lang.String paramName)`
`java.util.ArrayList` | `getParameters()`
`void` | `init(org.apache.axis2.engine.AxisConfiguration axisConfig)`
`boolean` | `isParameterLocked(java.lang.String paramName)`
`void` | `moduleUpdate(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisModule axisModule)`
`void` | `removeParameter(org.apache.axis2.description.Parameter param)`
`void` | `serviceGroupUpdate(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisServiceGroup axisServiceGroup)`
`void` | `serviceUpdate(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisService axisService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentInterceptor

    public DeploymentInterceptor()

Method Detail

### init

    public void init(org.apache.axis2.engine.AxisConfiguration axisConfig)

  Specified by:
    `init` in interface `org.apache.axis2.engine.AxisObserver`

### serviceGroupUpdate

    public void serviceGroupUpdate(org.apache.axis2.engine.AxisEvent axisEvent,
                                   org.apache.axis2.description.AxisServiceGroup axisServiceGroup)

  Specified by:
    `serviceGroupUpdate` in interface `org.apache.axis2.engine.AxisObserver`

### serviceUpdate

    public void serviceUpdate(org.apache.axis2.engine.AxisEvent axisEvent,
                              org.apache.axis2.description.AxisService axisService)

  Specified by:
    `serviceUpdate` in interface `org.apache.axis2.engine.AxisObserver`

### moduleUpdate

    public void moduleUpdate(org.apache.axis2.engine.AxisEvent axisEvent,
                             org.apache.axis2.description.AxisModule axisModule)

  Specified by:
    `moduleUpdate` in interface `org.apache.axis2.engine.AxisObserver`

### addParameter

    public void addParameter(org.apache.axis2.description.Parameter parameter)
                      throws org.apache.axis2.AxisFault

  Specified by:
    `addParameter` in interface `org.apache.axis2.description.ParameterInclude`
  Throws:
    `org.apache.axis2.AxisFault`

### removeParameter

    public void removeParameter(org.apache.axis2.description.Parameter param)
                         throws org.apache.axis2.AxisFault

  Specified by:
    `removeParameter` in interface `org.apache.axis2.description.ParameterInclude`
  Throws:
    `org.apache.axis2.AxisFault`

### deserializeParameters

    public void deserializeParameters(org.apache.axiom.om.OMElement omElement)
                               throws org.apache.axis2.AxisFault

  Specified by:
    `deserializeParameters` in interface `org.apache.axis2.description.ParameterInclude`
  Throws:
    `org.apache.axis2.AxisFault`

### getParameter

    public org.apache.axis2.description.Parameter getParameter(java.lang.String paramName)

  Specified by:
    `getParameter` in interface `org.apache.axis2.description.ParameterInclude`

### getParameters

    public java.util.ArrayList getParameters()

  Specified by:
    `getParameters` in interface `org.apache.axis2.description.ParameterInclude`

### isParameterLocked

    public boolean isParameterLocked(java.lang.String paramName)

  Specified by:
    `isParameterLocked` in interface `org.apache.axis2.description.ParameterInclude`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD